/*
 * hal_do_exception.c - implementation of exception handler for TSAR-MIPS32
 * 
 * Authors  Ghassan Almaless (2008,2009,2010,2011,2012)
 *          Alain Greiner (2016)
 *
 * Copyright (c) UPMC Sorbonne Universites
 *
 * This file is part of ALMOS-MKH.
 *
 * ALMOS-MKH.is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.0 of the License.
 *
 * ALMOS-MKH.is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ALMOS-MKH.; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <hal_internal.h>

#include <types.h>
#include <task.h>
#include <thread.h>
#include <kdmsg.h>
#include <pmm.h>
#include <vmm.h>
#include <errno.h>
#include <scheduler.h>
#include <cpu.h>
#include <spinlock.h>
#include <distlock.h>
#include <cpu-trace.h>
#include <cpu-regs.h>

static error_t fpu_exception_handler( reg_t    * regs_tbl )
{
	x86_panic((char *)__func__);
	return 0;
}

static error_t mmu_exception_handler( uint32_t   excp_code, 
                                      uint32_t   bad_vaddr )
{
	x86_panic((char *)__func__);
	return 0;
}

void hal_do_exception( thread_t * this, 
                       gid_t      gid, 
                       reg_t    * regs_tbl )
{
	x86_panic((char *)__func__);
}
